From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 14 Feb 2000 01:18:00 -0800 (PST)

I thought I sent this earlier, but there are some problems with the system so 
here it is again.  This is the deal sheet for the week of Monday Feb. 14th.  
I will go through it with Ben and show him how to track the deals and update 
the deal sheet on a weekly basis.  If you have any questions, please give me 
a call.
Ben
3-7998